Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Problema update ubuntu 12.04
#1
Salve a tutti, questa sera mi ritrovo con dei pacchetti che non si installano come risolvo ?

Codice:
sudo apt-get upgrade -s
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  libav-tools libavcodec-dev libavdevice53 libavfilter2 libavformat-dev
  libavutil-dev
0 aggiornati, 0 installati, 0 da rimuovere e 6 non aggiornati.

Codice:
sudo apt-get install --reinstall libavcodec-dev
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
libavcodec-dev : Dipende: libavcodec53 (>= 4:0.8.4-0ubuntu0.12.04.1) ma non sta per essere installato oppure
                           libavcodec-extra-53 (>= 4:0.8.4) ma la versione 4:0.8.3ubuntu0.12.04.1+medibuntu1 sta per essere installata
                  Dipende: libavutil-dev (= 4:0.8.4-0ubuntu0.12.04.1) ma la versione 4:0.8.3-0ubuntu0.12.04.1 sta per essere installata
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
ps3@ps3-desktop:~$
Cita messaggio
#2
prova ad installare i seguenti pacchetti

Codice:
libavcodec53
libavcodec-extra-53
libavutil-dev

e prova a dare il comando

Codice:
sudo apt-get dist-upgrade
Cita messaggio
#3
E' successo un bel casino si è portato via questo che vedi in foto:


Allegati Anteprime
   
Cita messaggio
#4
ho il tuo stesso problema... un manipolo di pacchetti non vuole saperne di aggiornarsi!!! sono proprio gli stessi tuoi... saranno 5 o 6... adesso devo andare... nei prossimi giorni cercherò di risolvere l'arcano.
Cita messaggio
#5
io ora formatto vedo se risolvo.
Cita messaggio
#6
Naaaa non formattare per cosí poco...
Cita messaggio
#7
Ho riprovato con calma.

con i comandi:

Codice:
sudo apt-get update && sudo apt-get dist-upgrade

ho risolto il problema, come puoi notare:

Codice:
matteo@matteo-HP-G62-Notebook-PC:~$ sudo apt-get dist-upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Eseguito
I seguenti pacchetti saranno aggiornati:
  libav-tools libavcodec-extra-53 libavdevice53 libavfilter2 libavformat53
  libavutil-extra-51 libpostproc52 libswscale2
8 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 4373 kB di archivi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Continuare [S/n]? s
Scaricamento di:1 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main libav-tools amd64 4:0.8.4-0ubuntu0.12.04.1 [614 kB]
Scaricamento di:2 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main libpostproc52 amd64 4:0.8.4-0ubuntu0.12.04.1 [63,5 kB]
Scaricamento di:3 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main libavfilter2 amd64 4:0.8.4-0ubuntu0.12.04.1 [80,7 kB]
Scaricamento di:4 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main libswscale2 amd64 4:0.8.4-0ubuntu0.12.04.1 [92,3 kB]
Scaricamento di:5 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main libavdevice53 amd64 4:0.8.4-0ubuntu0.12.04.1 [29,2 kB]
Scaricamento di:6 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main libavformat53 amd64 4:0.8.4-0ubuntu0.12.04.1 [495 kB]
Scaricamento di:7 http://it.archive.ubuntu.com/ubuntu/ precise-updates/universe libavcodec-extra-53 amd64 4:0.8.4ubuntu0.12.04.1 [2929 kB]
Scaricamento di:8 http://it.archive.ubuntu.com/ubuntu/ precise-updates/universe libavutil-extra-51 amd64 4:0.8.4ubuntu0.12.04.1 [67,8 kB]
Recuperati 4373 kB in 11s (386 kB/s)                                          
(Lettura del database... 316113 file e directory attualmente installati.)
Preparativi per sostituire libav-tools v.4:0.8.3-0ubuntu0.12.04.1 (utilizzando .../libav-tools_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libav-tools...
Preparativi per sostituire libpostproc52 v.4:0.8.3-0ubuntu0.12.04.1 (utilizzando .../libpostproc52_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libpostproc52...
Preparativi per sostituire libavfilter2 v.4:0.8.3-0ubuntu0.12.04.1 (utilizzando .../libavfilter2_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libavfilter2...
Preparativi per sostituire libswscale2 v.4:0.8.3-0ubuntu0.12.04.1 (utilizzando .../libswscale2_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libswscale2...
Preparativi per sostituire libavdevice53 v.4:0.8.3-0ubuntu0.12.04.1 (utilizzando .../libavdevice53_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libavdevice53...
Preparativi per sostituire libavformat53 v.4:0.8.3-0ubuntu0.12.04.1 (utilizzando .../libavformat53_4%3a0.8.4-0ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libavformat53...
Preparativi per sostituire libavcodec-extra-53 v.4:0.8.3ubuntu0.12.04.1+medibuntu1 (utilizzando .../libavcodec-extra-53_4%3a0.8.4ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libavcodec-extra-53...
Preparativi per sostituire libavutil-extra-51 v.4:0.8.3ubuntu0.12.04.1+medibuntu1 (utilizzando .../libavutil-extra-51_4%3a0.8.4ubuntu0.12.04.1_amd64.deb)...
Estrazione del sostituto di libavutil-extra-51...
Elaborazione dei trigger per man-db...
Configurazione di libavutil-extra-51 (4:0.8.4ubuntu0.12.04.1)...
Configurazione di libavcodec-extra-53 (4:0.8.4ubuntu0.12.04.1)...
Configurazione di libavformat53 (4:0.8.4-0ubuntu0.12.04.1)...
Configurazione di libavdevice53 (4:0.8.4-0ubuntu0.12.04.1)...
Configurazione di libswscale2 (4:0.8.4-0ubuntu0.12.04.1)...
Configurazione di libavfilter2 (4:0.8.4-0ubuntu0.12.04.1)...
Configurazione di libpostproc52 (4:0.8.4-0ubuntu0.12.04.1)...
Configurazione di libav-tools (4:0.8.4-0ubuntu0.12.04.1)...
Elaborazione dei trigger per libc-bin...
ldconfig deferred processing now taking place

tutto si è installato correttamente!
Cita messaggio
#8
I comandi che mi avevi suggerito ieri avevano fatto guastare il sistema,ho formattato e ora non ho problemi.
Cita messaggio
#9
Avete provato a fare gli aggiornamenti dal Gestore Aggiornamenti? Perché credo proprio che quelli siano dei pacchetti per un aggiornamento "parziale" (come li chiama il sistema) di versione e con apt e terminale forse non lo segnala.
Ho idea che quelli di Canonical stiano aggiornando alcuni pacchetti a versioni più aggiornate, rilasciate dopo la relese di Ubuntu 12.04, è già successo con Openjdk 6 con il passaggio alla 7, non sarà al stessa cosa per quei pacchetti? Magari sono molto più stabili e hanno molte funzioni in più per questo si sono decisi ad aggiornare.
M1rr0r92 Idea

Se i tempi non chiedono la tua parte migliore, inventa altri tempi.
Cita messaggio
#10
(14-11-2012, 09:20 )M1rr0r92 Ha scritto: Avete provato a fare gli aggiornamenti dal Gestore Aggiornamenti? Perché credo proprio che quelli siano dei pacchetti per un aggiornamento "parziale" (come li chiama il sistema) di versione e con apt e terminale forse non lo segnala.
Ho idea che quelli di Canonical stiano aggiornando alcuni pacchetti a versioni più aggiornate, rilasciate dopo la relese di Ubuntu 12.04, è già successo con Openjdk 6 con il passaggio alla 7, non sarà al stessa cosa per quei pacchetti? Magari sono molto più stabili e hanno molte funzioni in più per questo si sono decisi ad aggiornare.

Scusate mi intrometto nella discussione, se ritenete che ne debba aprire un'altra ditemelo, che cancello e riapro, ho un problema simile, ho la versione LTS 12.04 e mi trovo benissimo, ma da quando è uscita la 12.10 Big Grin ogni volta che aggiorno ho la seguente schermata :

[Immagine: http://img838.imageshack.us/img838/2016/...094.th.png]

e non so come risolvere, se può essere utile allego anche :

[Immagine: http://img841.imageshack.us/img841/2016/...094.th.png]

Vi ringrazio Idea
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)